Bug 22948 - Markup error in OPAC bibliographic detail template
Summary: Markup error in OPAC bibliographic detail template
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2019-05-21 14:26 UTC by Owen Leonard
Modified: 2019-06-11 16:37 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.01


Attachments
Bug 22948: Markup error in OPAC bibliographic detail template (1.97 KB, patch)
2019-05-21 14:34 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22948: Markup error in OPAC bibliographic detail template (2.03 KB, patch)
2019-05-31 19:11 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 22948: Markup error in OPAC bibliographic detail template (2.08 KB, patch)
2019-05-31 19:53 UTC, Bin Wen
Details | Diff | Splinter Review
Bug 22948: Markup error in OPAC bibliographic detail template (2.13 KB, patch)
2019-06-02 13:32 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-05-21 14:26:49 UTC
There are quite a few validation errors coming from the OPAC detail template (opac-detail.tt), but I would like to address one with this patch:


 - "The aria-labelledby attribute must point to an element in the same document."
Comment 1 Owen Leonard 2019-05-21 14:34:55 UTC
Created attachment 89943 [details] [review]
Bug 22948: Markup error in OPAC bibliographic detail template

This patch addresses one markup problem in opac-detail.tt which triggers
a validation error.

To reproduce the problem, view the normal bibliographic detail page for
a record in the OPAC. Run the page through the W3C validation service:
https://validator.w3.org. Either by pasting in the URL for the search
results (if web accessible) or by viewing source, copying, and pasting
into "Validate by Direct Input."

This patch addresses one specific error:

 - "The aria-labelledby attribute must point to an element in the same
   document."

To test, apply the patch and try again to reproduce the validation
errors. Those errors should no longer be present. There should be no
visible change to the page.

Test the "Save record -> Dublin Core" menu item. It should trigger a
modal window.
Comment 2 Maryse Simard 2019-05-31 19:11:21 UTC
Created attachment 90248 [details] [review]
Bug 22948: Markup error in OPAC bibliographic detail template

This patch addresses one markup problem in opac-detail.tt which triggers
a validation error.

To reproduce the problem, view the normal bibliographic detail page for
a record in the OPAC. Run the page through the W3C validation service:
https://validator.w3.org. Either by pasting in the URL for the search
results (if web accessible) or by viewing source, copying, and pasting
into "Validate by Direct Input."

This patch addresses one specific error:

 - "The aria-labelledby attribute must point to an element in the same
   document."

To test, apply the patch and try again to reproduce the validation
errors. Those errors should no longer be present. There should be no
visible change to the page.

Test the "Save record -> Dublin Core" menu item. It should trigger a
modal window.

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Comment 3 Bin Wen 2019-05-31 19:53:12 UTC
Created attachment 90257 [details] [review]
Bug 22948: Markup error in OPAC bibliographic detail template

This patch addresses one markup problem in opac-detail.tt which triggers
a validation error.

To reproduce the problem, view the normal bibliographic detail page for
a record in the OPAC. Run the page through the W3C validation service:
https://validator.w3.org. Either by pasting in the URL for the search
results (if web accessible) or by viewing source, copying, and pasting
into "Validate by Direct Input."

This patch addresses one specific error:

 - "The aria-labelledby attribute must point to an element in the same
   document."

To test, apply the patch and try again to reproduce the validation
errors. Those errors should no longer be present. There should be no
visible change to the page.

Test the "Save record -> Dublin Core" menu item. It should trigger a
modal window.

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Signed-off-by: Bin Wen <bin.wen@inlibro.com>
Comment 4 Katrin Fischer 2019-06-02 13:32:53 UTC
Created attachment 90266 [details] [review]
Bug 22948: Markup error in OPAC bibliographic detail template

This patch addresses one markup problem in opac-detail.tt which triggers
a validation error.

To reproduce the problem, view the normal bibliographic detail page for
a record in the OPAC. Run the page through the W3C validation service:
https://validator.w3.org. Either by pasting in the URL for the search
results (if web accessible) or by viewing source, copying, and pasting
into "Validate by Direct Input."

This patch addresses one specific error:

 - "The aria-labelledby attribute must point to an element in the same
   document."

To test, apply the patch and try again to reproduce the validation
errors. Those errors should no longer be present. There should be no
visible change to the page.

Test the "Save record -> Dublin Core" menu item. It should trigger a
modal window.

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Signed-off-by: Bin Wen <bin.wen@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2019-06-02 13:33:27 UTC
Maybe something for another day/bug:

 FAIL	koha-tmpl/opac-tmpl/bootstrap/en/includes/opac-detail-sidebar.inc
   OK	  filters
   FAIL	  forbidden patterns
		forbidden paattern: Contains old bootstrap style for buttons (see bug 16239) (line 93)
Comment 6 Martin Renvoize 2019-06-04 09:20:08 UTC
Nice work!

Pushed to master for 19.11.00
Comment 7 Fridolin SOMERS 2019-06-10 14:56:35 UTC
Pushed to 19.05.x for 19.05.01
Comment 8 Lucas Gass 2019-06-11 16:37:43 UTC
backported to 18.11.x for 18.11.07